#!/bin/bash

#maximum number of iterations perfomed by the algorithm
IT=45

#sliding window size (half-size of the window to enforce simmetry)
WIN=0

SIGMA=0.05

#decoding algorithm, viterbi or posterior-viterbi
ALGO=viterbi


TRAINING_FILE=train
TESTING_FILE=test
PREDICTIONS_FILE=test.pred
GRAMMAR_FILE=topology.model
MODEL_FILE=model.txt

# Example 1
# Prediction of cysteines bonding state

../bin/biocrf -all -m $MODEL_FILE -g $GRAMMAR_FILE -j $IT -w $WIN -s $SIGMA -d $ALGO -t $TESTING_FILE -o $PREDICTIONS_FILE $TRAINING_FILE
